DEPRECATED: This endpoint has been deprecated and will be removed on March 1, 2026.
Please use the new endpoint:
DELETE /v1/uploads/:namespace/:table_nameSee the Migration Guide for details on migrating to the new endpoints.- You must be an admin to delete the table.
- You can also delete a table through
user settings (dune.com) -> data -> delete. - Deleting a table does not incur credits.
curl --request DELETE \
--url https://api.dune.com/api/v1/table/my_user/interest_rates \
--header 'X-DUNE-API-KEY: <x-dune-api-key>'
from dune_client.client import DuneClient
dune = DuneClient()
table = dune.delete_table(
namespace="my_user",
table_name="interest_rates"
)
import { DuneClient } from "@duneanalytics/client-sdk";
client = new DuneClient(process.env.DUNE_API_KEY!);
const result = await client.table.delete({
namespace: "my_user",
table_name: "interest_rates",
});
import requests
url = "https://api.dune.com/api/v1/table/my_user/interest_rates"
headers = {
"X-DUNE-API-KEY": "<x-dune-api-key>"
}
response = requests.request("DELETE", url, headers=headers)
const url = "https://api.dune.com/api/v1/table/my_user/interest_rates";
const headers = {
"X-DUNE-API-KEY": "<x-dune-api-key>"
};
fetch(url, {
method: 'DELETE',
headers: headers
})
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));